class Git
	def self.branch directory=''
        directory=Dir.pwd if directory.length == 0
        Dir.chdir(directory) do
    		begin
    		  `git branch`.scan(/\* ([.\w-]+)/)[0][0] if(File.exists?('.git'))
    	    rescue
    	    	''
    	    end
        end
    end

    def self.remote_origin directory=''
    	url=''
    	directory=Dir.pwd if directory.length == 0
    	Dir.chdir(directory) do
    		begin
    			url=`git remote show origin`.scan(/Fetch URL: ([\.\-:\/\w\d]+)/)[0][0] if(File.exists?('.git'))
    		rescue
    			url=''
    		end
    	end
    	url
    end

    def self.has_changes? directory=''
        directory=Dir.pwd if directory.length==0
        Dir.chdir(directory) do
            if(File.exists?('.git'))
                return true if `git status`.include?('modified:')
            end
        end
        false
    end

    def self.init directory=''
        directory=Dir.pwd if directory.length==0
        FileUtils.mkpath directory if !File.exists?(directory)
        if(!File.exists?("#{directory}/.git"))
            Dir.chdir(directory) do
               `git init`
               File.open('.gitignore','w'){|f|
                   f.puts '### Mac ###'
                   f.puts '*.DS_Store'
               }
               `git add .gitignore`
               `git commit -m'added .gitignore'`
            end
        end
    end
end